<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.100
Description: Weergeven van een bespreking.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.100">
   <title>Assessment</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]
Item: (Assessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation
Item: (Assessment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation"
         id="tmp-cc5b5cff-5305-486b-818b-0c2006e34570">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@classCode='OBS'">(Assessment): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@moodCode='EVN'">(Assessment): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']/@nullFlavor)">(Assessment): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'])&lt;=1">(Assessment): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Assessment): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:code)&lt;=1">(Assessment): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Assessment): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:value)&lt;=1">(Assessment): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']
Item: (Assessment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']"
         id="tmp-1b4afea8-8203-4b75-b4e1-02646ca5962c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.100'">(Assessment): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.100' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Assessment): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:code
Item: (Assessment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:code"
         id="tmp-d7d23f59-ab5e-4154-840e-8dabed6caa4d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Assessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@nullFlavor or (@code='11283-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Acuity assessment')">(Assessment): de waarde van @code/@codeSystem MOET ''11283-9' codeSystem '2.16.840.1.113883.6.1' displayName='Acuity assessment'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:value
Item: (Assessment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:value"
         id="tmp-5a8a60a9-0389-4d6f-a36f-df76808031e0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Assessment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>