<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.101
Description: Weergeven van het beloop, beleid en interventie.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.101">
   <title>Assessment and Plan</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.101
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]
Item: (AssessmentPlan)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.101
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]/hl7:act
Item: (AssessmentPlan)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]/hl7:act"
         id="tmp-8cd700ae-0c8e-4f9c-a5d1-148da4880903">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="@classCode='ACT'">(AssessmentPlan): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="@moodCode='EVN'">(AssessmentPlan): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']/@nullFlavor)">(AssessmentPlan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'])&lt;=1">(AssessmentPlan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(AssessmentPlan): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="count(hl7:code)&lt;=1">(AssessmentPlan): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AssessmentPlan): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="count(hl7:text)&lt;=1">(AssessmentPlan): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.101
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']
Item: (AssessmentPlan)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']"
         id="tmp-f38cafa0-927d-48d2-a58f-2df72686141f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.101'">(AssessmentPlan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.101' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AssessmentPlan): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.101
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]/hl7:act/hl7:code
Item: (AssessmentPlan)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]/hl7:act/hl7:code"
         id="tmp-958d3974-b877-4377-b12f-ca2e6a313009">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AssessmentPlan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="@nullFlavor or (@code='51847-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Assessment and plan')">(AssessmentPlan): de waarde van @code/@codeSystem MOET ''51847-2' codeSystem '2.16.840.1.113883.6.1' displayName='Assessment and plan'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.101
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]/hl7:act/hl7:text
Item: (AssessmentPlan)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.101']]/hl7:act/hl7:text"
         id="tmp-81eff4c8-a8e7-4ee9-9f3e-2a5f4cd725d8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.101.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(AssessmentPlan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>